/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workdevicerecord.service;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workdevicerecord.dao.WorkDeviceRecordDao;
import com.jeeplus.modules.workdevicerecord.entity.WorkDeviceRecord;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 设备询价记录Service
 * @author 马鹏波
 * @version 2018-06-05
 */
@Service
@Transactional(readOnly = true)
public class WorkDeviceRecordService extends CrudService<WorkDeviceRecordDao, WorkDeviceRecord> {
	@Autowired
	private WorkDeviceRecordDao workDeviceRecordDao;

	public WorkDeviceRecord get(String id) {
		return super.get(id);
	}
	
	public List<WorkDeviceRecord> findList(WorkDeviceRecord workDeviceRecord) {
		return super.findList(workDeviceRecord);
	}
	
	public Page<WorkDeviceRecord> findPage(Page<WorkDeviceRecord> page, WorkDeviceRecord workDeviceRecord) {
		return super.findPage(page, workDeviceRecord);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkDeviceRecord workDeviceRecord) {
		super.save(workDeviceRecord);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkDeviceRecord workDeviceRecord) {
		super.delete(workDeviceRecord);
	}

	/**
	 * 获取记录列表
	 * @param workDeviceRecord
	 * @return
	 */
	public List<WorkDeviceRecord> findListByXjId(WorkDeviceRecord workDeviceRecord){
		return workDeviceRecordDao.findListByXjId(workDeviceRecord);
	}
	
	
}